/**
 *
 */
package com.ims.eval.controller;

import com.ims.core.controller.WebController;
import com.ims.core.utils.StringUtils;

import com.ims.eval.entity.DdeptResponsibility;
import com.ims.eval.service.IDdeptResponsibilityService;
import org.springframework.http.MediaType;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * 部门目标责任Controller
 * @author wang
 * @version 2023-02-23
 */
@Controller
@RequestMapping(value = "/eval/ddeptResponsibility")
public class DdeptResponsibilityController extends WebController<IDdeptResponsibilityService, DdeptResponsibility> {

 	//@ImsPreAuth("eval:ddeptResponsibility:view")
	@RequestMapping(value = "list")
	public String list(DdeptResponsibility ddeptResponsibility, Model model) {
		return "ims/ims-eval${ims_eval_suffix}/eval/ddeptResponsibilityList";
	}

    //@ImsPreAuth("eval:ddeptResponsibility:view")
	@RequestMapping(value = "form")
	public String form(DdeptResponsibility ddeptResponsibility, Model model) {
	    String formView = ddeptResponsibility.getFormView();
	    if(StringUtils.isNotBlank(formView)){
			return "ims/"+formView;
		}
		return "ims/ims-eval${ims_eval_suffix}/eval/ddeptResponsibilityForm";
	}

    //@ImsPreAuth("eval:ddeptResponsibility:view")
	@RequestMapping(value = "lov")
	public String lov(DdeptResponsibility ddeptResponsibility, Model model) {
		return "ims/ims-eval${ims_eval_suffix}/eval/ddeptResponsibilityList";
	}

    //@ImsPreAuth("eval:ddeptResponsibility:view")
	@RequestMapping(value = "data")
	@ResponseBody
	public String getData(DdeptResponsibility ddeptResponsibility, HttpServletRequest request, HttpServletResponse response, Model model)  throws IOException  {
        return  super.getData(ddeptResponsibility,request,response,model);
	}

    //@ImsPreAuth("eval:ddeptResponsibility:view")
	@RequestMapping(value = "allData")
	@ResponseBody
	public String getAllData(DdeptResponsibility ddeptResponsibility, HttpServletRequest request, HttpServletResponse response, Model model)  throws IOException  {
        return  super.getAllData(ddeptResponsibility,request,response,model);
	}

    //@ImsPreAuth("eval:ddeptResponsibility:view")
	@RequestMapping(value = "get")
	@ResponseBody
	public String get(DdeptResponsibility ddeptResponsibility, HttpServletRequest request, HttpServletResponse response, Model model) throws IOException {
        return  super.get(ddeptResponsibility,request,response,model);
	}

    //@ImsPreAuth("eval:ddeptResponsibility:edit")
	@RequestMapping(value = "initInsert")
	@ResponseBody
	public String initInsert(DdeptResponsibility ddeptResponsibility, Model model, HttpServletRequest request, HttpServletResponse response) throws Exception {
		return super.initInsert(ddeptResponsibility,request,response,model);
	}

    //@ImsPreAuth("eval:ddeptResponsibility:edit")
	@RequestMapping(value = "checkSave")
	@ResponseBody
	public String checkSave(DdeptResponsibility ddeptResponsibility, Model model, HttpServletRequest request, HttpServletResponse response) throws Exception {
		return super.checkSave(ddeptResponsibility,request,response,model);
	}

    //@ImsPreAuth("eval:ddeptResponsibility:edit")
	@RequestMapping(value = "save")
	@ResponseBody
	public String save(DdeptResponsibility ddeptResponsibility, Model model,  HttpServletRequest request, HttpServletResponse response) {
		 return super.save(ddeptResponsibility,request,response,model);
	}

    //@ImsPreAuth("eval:ddeptResponsibility:remove")
	@RequestMapping(value = "checkRemove")
	@ResponseBody
	public String checkRemove(DdeptResponsibility ddeptResponsibility, Model model, HttpServletRequest request, HttpServletResponse response) throws Exception {
		return super.checkRemove(ddeptResponsibility,request,response,model);
	}

    //@ImsPreAuth("eval:ddeptResponsibility:remove")
	@RequestMapping(value = "remove")
	@ResponseBody
	public String remove(DdeptResponsibility ddeptResponsibility, Model model, HttpServletRequest request, HttpServletResponse response) throws Exception {
		return super.remove(ddeptResponsibility,request,response,model);
	}

    //@ImsPreAuth("eval:ddeptResponsibility:edit")
	@RequestMapping(value = "import",produces=MediaType.APPLICATION_JSON_UTF8_VALUE)
	@ResponseBody
	public String importFile(DdeptResponsibility ddeptResponsibility,MultipartFile excelFile, HttpServletRequest request, HttpServletResponse response) {
         return super.importFile(ddeptResponsibility,excelFile,null,request,response);
	}

    //@ImsPreAuth("eval:ddeptResponsibility:view")
	@RequestMapping(value = "export", method= RequestMethod.POST)
	public void exportFile(DdeptResponsibility ddeptResponsibility, HttpServletRequest request, HttpServletResponse response) {
         super.exportFile(ddeptResponsibility,request,response );
	}

}
