/**
 *
 */
package com.ims.eval.entity;

import com.alibaba.fastjson.annotation.JSONField;
import com.ims.core.entity.DataEntity;

import java.util.Date;

/**
 * 考评得分Entity
 * @author wang
 * @version 2023-02-23
 */
public class EvaluateScore extends DataEntity<EvaluateScore> {

	private static final long serialVersionUID = 1L;
	private String des;		// 描述
	private Date createTime;		// 创建时间
	private Date updateTime;		// 更新时间
	private String evaluateCycle;		// 考评类型（年度考评，季度考评，月度考评）
	private String evaluateType;		// 考评性质（0:预考评；1正式考评）
	private String deptId;		// 部门ID
	private String responsibilityId;		// 责任书ID
	private String sysScore;		// 系统评分
	private String reviewScore;		// 复审评分
	private String reviewPeople;		// 复审人
	private Date reviewPeopleTime;		// 复审时间
	private String reviewOpinion;		// 复审意见


	public EvaluateScore() {
		super();
	}

	public EvaluateScore(String id){
		super(id);
	}

	public String getDes() {
		return des;
	}

	public void setDes(String des) {
		this.des = des;
	}
	@JSONField(format = "yyyy-MM-dd HH:mm:ss")
	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	@JSONField(format = "yyyy-MM-dd HH:mm:ss")
	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}
	public String getEvaluateCycle() {
		return evaluateCycle;
	}

	public void setEvaluateCycle(String evaluateCycle) {
		this.evaluateCycle = evaluateCycle;
	}
	public String getEvaluateType() {
		return evaluateType;
	}

	public void setEvaluateType(String evaluateType) {
		this.evaluateType = evaluateType;
	}
	public String getDeptId() {
		return deptId;
	}

	public void setDeptId(String deptId) {
		this.deptId = deptId;
	}
	public String getResponsibilityId() {
		return responsibilityId;
	}

	public void setResponsibilityId(String responsibilityId) {
		this.responsibilityId = responsibilityId;
	}
	public String getSysScore() {
		return sysScore;
	}

	public void setSysScore(String sysScore) {
		this.sysScore = sysScore;
	}
	public String getReviewScore() {
		return reviewScore;
	}

	public void setReviewScore(String reviewScore) {
		this.reviewScore = reviewScore;
	}
	public String getReviewPeople() {
		return reviewPeople;
	}

	public void setReviewPeople(String reviewPeople) {
		this.reviewPeople = reviewPeople;
	}
	@JSONField(format = "yyyy-MM-dd HH:mm:ss")
	public Date getReviewPeopleTime() {
		return reviewPeopleTime;
	}

	public void setReviewPeopleTime(Date reviewPeopleTime) {
		this.reviewPeopleTime = reviewPeopleTime;
	}
	public String getReviewOpinion() {
		return reviewOpinion;
	}

	public void setReviewOpinion(String reviewOpinion) {
		this.reviewOpinion = reviewOpinion;
	}

}
